Index: rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/rx630_config.c
===================================================================
--- rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/rx630_config.c	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/rx630_config.c	(revision 315)
@@ -7,52 +7,37 @@
  *  Copyright (C) 2013 by Mitsuhiro Matsuura
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
 
 /*
- *		ãã­ã»ããµä¾å­ã¢ã¸ã¥ã¼ã«
+ *		プロセッサ依存モジュール
  */
 
@@ -61,39 +46,39 @@
 
 /*
- *  å²è¾¼ã¿è¦å ãã©ã¤ãªãªãã£ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ãã¼ãã«
+ *  割込み要因プライオリティレジスタアドレステーブル
  */
 volatile uint8_t __evenaccess * const ipr_reg_addr[ INHNO_MAX ] = {
-	NULL,							/* No.0  äºç´ */
-	NULL,							/* No.1  äºç´ */
-	NULL,							/* No.2  äºç´ */
-	NULL,							/* No.3  äºç´ */
-	NULL,							/* No.4  äºç´ */
-	NULL,							/* No.5  äºç´ */
-	NULL,							/* No.6  äºç´ */
-	NULL,							/* No.7  äºç´ */
-	NULL,							/* No.8  äºç´ */
-	NULL,							/* No.9  äºç´ */
-	NULL,							/* No.10  äºç´ */
-	NULL,							/* No.11  äºç´ */
-	NULL,							/* No.12  äºç´ */
-	NULL,							/* No.13  äºç´ */
-	NULL,							/* No.14  äºç´ */
-	NULL,							/* No.15  äºç´ */
-	ICU_IPR000_ADDR,				/* No.16  ãã¹ã¨ã©ã¼ BUSERR */
-	NULL,							/* No.17  äºç´ */
-	NULL,							/* No.18  äºç´ */
-	NULL,							/* No.19  äºç´ */
-	NULL,							/* No.20  äºç´ */
+	NULL,							/* No.0  予約 */
+	NULL,							/* No.1  予約 */
+	NULL,							/* No.2  予約 */
+	NULL,							/* No.3  予約 */
+	NULL,							/* No.4  予約 */
+	NULL,							/* No.5  予約 */
+	NULL,							/* No.6  予約 */
+	NULL,							/* No.7  予約 */
+	NULL,							/* No.8  予約 */
+	NULL,							/* No.9  予約 */
+	NULL,							/* No.10  予約 */
+	NULL,							/* No.11  予約 */
+	NULL,							/* No.12  予約 */
+	NULL,							/* No.13  予約 */
+	NULL,							/* No.14  予約 */
+	NULL,							/* No.15  予約 */
+	ICU_IPR000_ADDR,				/* No.16  バスエラー BUSERR */
+	NULL,							/* No.17  予約 */
+	NULL,							/* No.18  予約 */
+	NULL,							/* No.19  予約 */
+	NULL,							/* No.20  予約 */
 	ICU_IPR001_ADDR,				/* No.21  FCU FIFERR */
-	NULL,							/* No.22  äºç´ */
+	NULL,							/* No.22  予約 */
 	ICU_IPR002_ADDR,				/* No.23  FCU FRDYI */
-	NULL,							/* No.24  äºç´ */
-	NULL,							/* No.25  äºç´ */
-	NULL,							/* No.26  äºç´ */
+	NULL,							/* No.24  予約 */
+	NULL,							/* No.25  予約 */
+	NULL,							/* No.26  予約 */
 	ICU_IPR003_ADDR,				/* No.27  SWINT */
-	ICU_IPR004_ADDR,				/* No.28  CMTã¦ããã0 CMT0 */
-	ICU_IPR005_ADDR,				/* No.29  CMTã¦ããã0 CMT1 */
-	ICU_IPR006_ADDR,				/* No.30  CMTã¦ããã1 CMT2 */
-	ICU_IPR007_ADDR,				/* No.31  CMTã¦ããã1 CMT3 */
+	ICU_IPR004_ADDR,				/* No.28  CMTユニット0 CMT0 */
+	ICU_IPR005_ADDR,				/* No.29  CMTユニット0 CMT1 */
+	ICU_IPR006_ADDR,				/* No.30  CMTユニット1 CMT2 */
+	ICU_IPR007_ADDR,				/* No.31  CMTユニット1 CMT3 */
 	ICU_IPR032_ADDR,				/* No.32  ETHER */
 	ICU_IPR033_ADDR,				/* No.33  USB0 D0FIFO0 */
@@ -124,50 +109,50 @@
 	ICU_IPR056_ADDR, 				/* No.58  CAN RXM2 */
 	ICU_IPR056_ADDR, 				/* No.59  CAN TXM2 */
-	NULL,							/* No.60  äºç´ */
-	NULL,							/* No.61  äºç´ */
+	NULL,							/* No.60  予約 */
+	NULL,							/* No.61  予約 */
 	ICU_IPR062_ADDR,			 	/* No.62  RTC PRD */
-	NULL,							/* No.63  äºç´ */
-	ICU_IPR064_ADDR,				/* No.64  å¤é¨ç«¯å­ IRQ0 */
-	ICU_IPR065_ADDR,				/* No.65  å¤é¨ç«¯å­ IRQ1 */
-	ICU_IPR066_ADDR,				/* No.66  å¤é¨ç«¯å­ IRQ2 */
-	ICU_IPR067_ADDR,				/* No.67  å¤é¨ç«¯å­ IRQ3 */
-	ICU_IPR068_ADDR,				/* No.68  å¤é¨ç«¯å­ IRQ4 */
-	ICU_IPR069_ADDR,				/* No.69  å¤é¨ç«¯å­ IRQ5 */
-	ICU_IPR070_ADDR,				/* No.70  å¤é¨ç«¯å­ IRQ6 */
-	ICU_IPR071_ADDR,				/* No.71  å¤é¨ç«¯å­ IRQ7 */
-	ICU_IPR072_ADDR,				/* No.72  å¤é¨ç«¯å­ IRQ8 */
-	ICU_IPR073_ADDR,				/* No.73  å¤é¨ç«¯å­ IRQ9 */
-	ICU_IPR074_ADDR,				/* No.74  å¤é¨ç«¯å­ IRQ10 */
-	ICU_IPR075_ADDR,				/* No.75  å¤é¨ç«¯å­ IRQ11 */
-	ICU_IPR076_ADDR,				/* No.76  å¤é¨ç«¯å­ IRQ12 */
-	ICU_IPR077_ADDR,				/* No.77  å¤é¨ç«¯å­ IRQ13 */
-	ICU_IPR078_ADDR,				/* No.78  å¤é¨ç«¯å­ IRQ14 */
-	ICU_IPR079_ADDR,				/* No.79  å¤é¨ç«¯å­ IRQ15 */
-	NULL,							/* No.80  äºç´ */
-	NULL,							/* No.81  äºç´ */
-	NULL,							/* No.82  äºç´ */
-	NULL,							/* No.83  äºç´ */
-	NULL,							/* No.84  äºç´ */
-	NULL,							/* No.85  äºç´ */
-	NULL,							/* No.86  äºç´ */
-	NULL,							/* No.87  äºç´ */
-	NULL,							/* No.88  äºç´ */
-	NULL,							/* No.89  äºç´ */
+	NULL,							/* No.63  予約 */
+	ICU_IPR064_ADDR,				/* No.64  外部端子 IRQ0 */
+	ICU_IPR065_ADDR,				/* No.65  外部端子 IRQ1 */
+	ICU_IPR066_ADDR,				/* No.66  外部端子 IRQ2 */
+	ICU_IPR067_ADDR,				/* No.67  外部端子 IRQ3 */
+	ICU_IPR068_ADDR,				/* No.68  外部端子 IRQ4 */
+	ICU_IPR069_ADDR,				/* No.69  外部端子 IRQ5 */
+	ICU_IPR070_ADDR,				/* No.70  外部端子 IRQ6 */
+	ICU_IPR071_ADDR,				/* No.71  外部端子 IRQ7 */
+	ICU_IPR072_ADDR,				/* No.72  外部端子 IRQ8 */
+	ICU_IPR073_ADDR,				/* No.73  外部端子 IRQ9 */
+	ICU_IPR074_ADDR,				/* No.74  外部端子 IRQ10 */
+	ICU_IPR075_ADDR,				/* No.75  外部端子 IRQ11 */
+	ICU_IPR076_ADDR,				/* No.76  外部端子 IRQ12 */
+	ICU_IPR077_ADDR,				/* No.77  外部端子 IRQ13 */
+	ICU_IPR078_ADDR,				/* No.78  外部端子 IRQ14 */
+	ICU_IPR079_ADDR,				/* No.79  外部端子 IRQ15 */
+	NULL,							/* No.80  予約 */
+	NULL,							/* No.81  予約 */
+	NULL,							/* No.82  予約 */
+	NULL,							/* No.83  予約 */
+	NULL,							/* No.84  予約 */
+	NULL,							/* No.85  予約 */
+	NULL,							/* No.86  予約 */
+	NULL,							/* No.87  予約 */
+	NULL,							/* No.88  予約 */
+	NULL,							/* No.89  予約 */
 	ICU_IPR090_ADDR, 				/* No.90  USBR0 */
 	ICU_IPR091_ADDR, 				/* No.91  USBR1 */
 	ICU_IPR092_ADDR,				/* No.92  RTC ALM */
 	ICU_IPR093_ADDR,				/* No.93  RTC PRD */
-	NULL,							/* No.94  äºç´ */
-	NULL,							/* No.95  äºç´ */
-	NULL,							/* No.96  äºç´ */
-	NULL,							/* No.97  äºç´ */
+	NULL,							/* No.94  予約 */
+	NULL,							/* No.95  予約 */
+	NULL,							/* No.96  予約 */
+	NULL,							/* No.97  予約 */
 	ICU_IPR098_ADDR,				/* No.98  AD ADI0 */
-	NULL,							/* No.99  äºç´ */
-	NULL,							/* No.100  äºç´ */
-	NULL,							/* No.101  äºç´ */
+	NULL,							/* No.99  予約 */
+	NULL,							/* No.100  予約 */
+	NULL,							/* No.101  予約 */
 	ICU_IPR102_ADDR,				/* No.102 S12AD S12ADIO */
-	NULL,							/* No.103  äºç´ */
-	NULL,							/* No.104  äºç´ */
-	NULL,							/* No.105  äºç´ */
+	NULL,							/* No.103  予約 */
+	NULL,							/* No.104  予約 */
+	NULL,							/* No.105  予約 */
 	ICU_IPR106_ADDR,				/* No.106 ICU GROUP0 */
 	ICU_IPR107_ADDR,				/* No.107 ICU GROUP1 */
@@ -177,13 +162,13 @@
 	ICU_IPR111_ADDR,				/* No.111 ICU GROUP5 */
 	ICU_IPR112_ADDR,				/* No.112 ICU GROUP6 */
-	NULL,							/* No.113  äºç´ */
+	NULL,							/* No.113  予約 */
 	ICU_IPR114_ADDR,				/* No.114 ICU GROUP12 */
-	NULL,							/* No.115  äºç´ */
-	NULL,							/* No.116  äºç´ */
-	NULL,							/* No.117  äºç´ */
-	NULL,							/* No.118  äºç´ */
-	NULL,							/* No.119  äºç´ */
-	NULL,							/* No.120  äºç´ */
-	NULL,							/* No.121  äºç´ */
+	NULL,							/* No.115  予約 */
+	NULL,							/* No.116  予約 */
+	NULL,							/* No.117  予約 */
+	NULL,							/* No.118  予約 */
+	NULL,							/* No.119  予約 */
+	NULL,							/* No.120  予約 */
+	NULL,							/* No.121  予約 */
 	ICU_IPR122_ADDR,				/* No.122 SCI12 SCIX0 */
 	ICU_IPR123_ADDR,				/* No.123 SCI12 SCIX1 */
@@ -232,6 +217,6 @@
 	ICU_IPR167_ADDR,				/* No.166 POE OEI1 */
 	ICU_IPR167_ADDR,				/* No.167 POE OEI2 */
-	NULL,							/* No.168  äºç´ */
-	NULL,							/* No.169  äºç´ */
+	NULL,							/* No.168  予約 */
+	NULL,							/* No.169  予約 */
 	ICU_IPR170_ADDR,				/* No.170 TMR0 CMIA0 */
 	ICU_IPR170_ADDR,				/* No.171 TMR0 CMIB0 */
@@ -268,14 +253,14 @@
 	ICU_IPR202_ADDR,				/* No.202 EXDMAC EXDMACI0 */
 	ICU_IPR203_ADDR,				/* No.203 EXDMAC EXDMACI1 */
-	NULL,							/* No.204  äºç´ */
-	NULL,							/* No.205  äºç´ */
-	NULL,							/* No.206  äºç´ */
-	NULL,							/* No.207  äºç´ */
-	NULL,							/* No.208  äºç´ */
-	NULL,							/* No.209  äºç´ */
-	NULL,							/* No.210  äºç´ */
-	NULL,							/* No.211  äºç´ */
-	NULL,							/* No.212  äºç´ */
-	NULL,							/* No.213  äºç´ */
+	NULL,							/* No.204  予約 */
+	NULL,							/* No.205  予約 */
+	NULL,							/* No.206  予約 */
+	NULL,							/* No.207  予約 */
+	NULL,							/* No.208  予約 */
+	NULL,							/* No.209  予約 */
+	NULL,							/* No.210  予約 */
+	NULL,							/* No.211  予約 */
+	NULL,							/* No.212  予約 */
+	NULL,							/* No.213  予約 */
 	ICU_IPR214_ADDR,				/* No.214 SCI0 RXI0 */
 	ICU_IPR214_ADDR,				/* No.215 SCI0 TXI0 */
@@ -318,45 +303,45 @@
 	ICU_IPR250_ADDR,				/* No.252 SCI12 TEI12 */
 	ICU_IPR253_ADDR,				/* No.253 IEB IEBINT */
-	NULL,							/* No.254  äºç´ */
-	NULL,							/* No.255  äºç´ */
+	NULL,							/* No.254  予約 */
+	NULL,							/* No.255  予約 */
 };
 
 
 /*
- *  å²è¾¼ã¿è¦æ±è¨±å¯ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ãã¼ãã«
+ *  割込み要求許可レジスタアドレステーブル
  */
 const IER_INFO ier_reg_addr[ INHNO_MAX ] = {
-	{ NULL, INVALID_OFFSET },			/* No.0   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.1   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.2   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.3   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.4   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.5   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.6   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.7   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.8   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.9   äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.10  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.11  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.12  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.13  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.14  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.15  äºç´ */
-	{ ICU_IER02_ADDR, ICU_IEN0_BIT },	/* No.16  ãã¹ã¨ã©ã¼ BUSERR */
-	{ NULL, INVALID_OFFSET },			/* No.17  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.18  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.19  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.20  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.0   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.1   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.2   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.3   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.4   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.5   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.6   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.7   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.8   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.9   予約 */
+	{ NULL, INVALID_OFFSET },			/* No.10  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.11  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.12  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.13  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.14  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.15  予約 */
+	{ ICU_IER02_ADDR, ICU_IEN0_BIT },	/* No.16  バスエラー BUSERR */
+	{ NULL, INVALID_OFFSET },			/* No.17  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.18  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.19  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.20  予約 */
 	{ ICU_IER02_ADDR, ICU_IEN5_BIT },	/* No.21  FCU FIFERR */
-	{ NULL, INVALID_OFFSET },			/* No.22  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.22  予約 */
 	{ ICU_IER02_ADDR, ICU_IEN7_BIT },	/* No.23  FCU FRDYI */
-	{ NULL, INVALID_OFFSET },			/* No.24  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.25  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.26  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.24  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.25  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.26  予約 */
 	{ ICU_IER03_ADDR, ICU_IEN3_BIT },	/* No.27  SWINT */
-	{ ICU_IER03_ADDR, ICU_IEN4_BIT },	/* No.28  CMTã¦ããã0 CMT0 */
-	{ ICU_IER03_ADDR, ICU_IEN5_BIT },	/* No.29  CMTã¦ããã0 CMT1 */
-	{ ICU_IER03_ADDR, ICU_IEN6_BIT },	/* No.30  CMTã¦ããã1 CMT2 */
-	{ ICU_IER03_ADDR, ICU_IEN7_BIT },	/* No.31  CMTã¦ããã1 CMT3 */
+	{ ICU_IER03_ADDR, ICU_IEN4_BIT },	/* No.28  CMTユニット0 CMT0 */
+	{ ICU_IER03_ADDR, ICU_IEN5_BIT },	/* No.29  CMTユニット0 CMT1 */
+	{ ICU_IER03_ADDR, ICU_IEN6_BIT },	/* No.30  CMTユニット1 CMT2 */
+	{ ICU_IER03_ADDR, ICU_IEN7_BIT },	/* No.31  CMTユニット1 CMT3 */
 	{ ICU_IER04_ADDR, ICU_IEN0_BIT },	/* No.32  ETHER */
 	{ ICU_IER04_ADDR, ICU_IEN1_BIT },	/* No.33  USB0 D0FIFO0 */
@@ -387,50 +372,50 @@
 	{ ICU_IER07_ADDR, ICU_IEN2_BIT },	/* No.58  CAN2 RXM2 */
 	{ ICU_IER07_ADDR, ICU_IEN3_BIT },	/* No.59  CAN2 TXM2 */
-	{ NULL, INVALID_OFFSET },			/* No.60  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.61  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.60  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.61  予約 */
 	{ ICU_IER07_ADDR, ICU_IEN6_BIT },	/* No.62  RTC PRD */
-	{ NULL, INVALID_OFFSET },			/* No.63  äºç´ */
-	{ ICU_IER08_ADDR, ICU_IEN0_BIT },	/* No.64  å¤é¨ç«¯å­ IRQ0 */
-	{ ICU_IER08_ADDR, ICU_IEN1_BIT },	/* No.65  å¤é¨ç«¯å­ IRQ1 */
-	{ ICU_IER08_ADDR, ICU_IEN2_BIT },	/* No.66  å¤é¨ç«¯å­ IRQ2 */
-	{ ICU_IER08_ADDR, ICU_IEN3_BIT },	/* No.67  å¤é¨ç«¯å­ IRQ3 */
-	{ ICU_IER08_ADDR, ICU_IEN4_BIT },	/* No.68  å¤é¨ç«¯å­ IRQ4 */
-	{ ICU_IER08_ADDR, ICU_IEN5_BIT },	/* No.69  å¤é¨ç«¯å­ IRQ5 */
-	{ ICU_IER08_ADDR, ICU_IEN6_BIT },	/* No.70  å¤é¨ç«¯å­ IRQ6 */
-	{ ICU_IER08_ADDR, ICU_IEN7_BIT },	/* No.71  å¤é¨ç«¯å­ IRQ7 */
-	{ ICU_IER09_ADDR, ICU_IEN0_BIT },	/* No.72  å¤é¨ç«¯å­ IRQ8 */
-	{ ICU_IER09_ADDR, ICU_IEN1_BIT },	/* No.73  å¤é¨ç«¯å­ IRQ9 */
-	{ ICU_IER09_ADDR, ICU_IEN2_BIT },	/* No.74  å¤é¨ç«¯å­ IRQ10 */
-	{ ICU_IER09_ADDR, ICU_IEN3_BIT },	/* No.75  å¤é¨ç«¯å­ IRQ11 */
-	{ ICU_IER09_ADDR, ICU_IEN4_BIT },	/* No.76  å¤é¨ç«¯å­ IRQ12 */
-	{ ICU_IER09_ADDR, ICU_IEN5_BIT },	/* No.77  å¤é¨ç«¯å­ IRQ13 */
-	{ ICU_IER09_ADDR, ICU_IEN6_BIT },	/* No.78  å¤é¨ç«¯å­ IRQ14 */
-	{ ICU_IER09_ADDR, ICU_IEN7_BIT },	/* No.79  å¤é¨ç«¯å­ IRQ15 */
-	{ NULL, INVALID_OFFSET },			/* No.80  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.81  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.82  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.83  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.84  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.85  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.86  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.87  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.88  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.89  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.63  予約 */
+	{ ICU_IER08_ADDR, ICU_IEN0_BIT },	/* No.64  外部端子 IRQ0 */
+	{ ICU_IER08_ADDR, ICU_IEN1_BIT },	/* No.65  外部端子 IRQ1 */
+	{ ICU_IER08_ADDR, ICU_IEN2_BIT },	/* No.66  外部端子 IRQ2 */
+	{ ICU_IER08_ADDR, ICU_IEN3_BIT },	/* No.67  外部端子 IRQ3 */
+	{ ICU_IER08_ADDR, ICU_IEN4_BIT },	/* No.68  外部端子 IRQ4 */
+	{ ICU_IER08_ADDR, ICU_IEN5_BIT },	/* No.69  外部端子 IRQ5 */
+	{ ICU_IER08_ADDR, ICU_IEN6_BIT },	/* No.70  外部端子 IRQ6 */
+	{ ICU_IER08_ADDR, ICU_IEN7_BIT },	/* No.71  外部端子 IRQ7 */
+	{ ICU_IER09_ADDR, ICU_IEN0_BIT },	/* No.72  外部端子 IRQ8 */
+	{ ICU_IER09_ADDR, ICU_IEN1_BIT },	/* No.73  外部端子 IRQ9 */
+	{ ICU_IER09_ADDR, ICU_IEN2_BIT },	/* No.74  外部端子 IRQ10 */
+	{ ICU_IER09_ADDR, ICU_IEN3_BIT },	/* No.75  外部端子 IRQ11 */
+	{ ICU_IER09_ADDR, ICU_IEN4_BIT },	/* No.76  外部端子 IRQ12 */
+	{ ICU_IER09_ADDR, ICU_IEN5_BIT },	/* No.77  外部端子 IRQ13 */
+	{ ICU_IER09_ADDR, ICU_IEN6_BIT },	/* No.78  外部端子 IRQ14 */
+	{ ICU_IER09_ADDR, ICU_IEN7_BIT },	/* No.79  外部端子 IRQ15 */
+	{ NULL, INVALID_OFFSET },			/* No.80  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.81  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.82  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.83  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.84  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.85  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.86  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.87  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.88  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.89  予約 */
 	{ ICU_IER0B_ADDR, ICU_IEN2_BIT },	/* No.90  USBR0 */
 	{ ICU_IER0B_ADDR, ICU_IEN3_BIT },	/* No.91  USBR1 */
 	{ ICU_IER0B_ADDR, ICU_IEN4_BIT },	/* No.92  RTC ALM */
 	{ ICU_IER0B_ADDR, ICU_IEN5_BIT },	/* No.92  RTC PRD */
-	{ NULL, INVALID_OFFSET },			/* No.94  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.95  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.96  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.97  äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.94  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.95  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.96  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.97  予約 */
 	{ ICU_IER0C_ADDR, ICU_IEN2_BIT },	/* No.98  AD0 ADI0 */
-	{ NULL, INVALID_OFFSET },			/* No.99  äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.100 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.101 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.99  予約 */
+	{ NULL, INVALID_OFFSET },			/* No.100 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.101 予約 */
 	{ ICU_IER0C_ADDR, ICU_IEN6_BIT },	/* No.102 S12AD S12ADI00 */
-	{ NULL, INVALID_OFFSET },			/* No.103 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.104 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.105 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.103 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.104 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.105 予約 */
 	{ ICU_IER0D_ADDR, ICU_IEN2_BIT },	/* No.106 ICU GROUP0 */
 	{ ICU_IER0D_ADDR, ICU_IEN3_BIT },	/* No.107 ICU GROUP1 */
@@ -440,13 +425,13 @@
 	{ ICU_IER0D_ADDR, ICU_IEN7_BIT },	/* No.111 ICU GROUP5 */
 	{ ICU_IER0E_ADDR, ICU_IEN0_BIT },	/* No.112 ICU GROUP6 */
-	{ NULL, INVALID_OFFSET },			/* No.113 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.113 予約 */
 	{ ICU_IER0E_ADDR, ICU_IEN1_BIT },	/* No.114 ICU GROUP12 */
-	{ NULL, INVALID_OFFSET },			/* No.115 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.116 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.117 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.118 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.119 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.120 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.121 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.115 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.116 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.117 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.118 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.119 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.120 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.121 予約 */
 	{ ICU_IER0F_ADDR, ICU_IEN2_BIT },	/* No.122 SCI12 SCIX0 */
 	{ ICU_IER0F_ADDR, ICU_IEN3_BIT },	/* No.123 SCI12 SCIX1 */
@@ -495,6 +480,6 @@
 	{ ICU_IER14_ADDR, ICU_IEN6_BIT },	/* No.166 POE OEI1 */
 	{ ICU_IER14_ADDR, ICU_IEN7_BIT },	/* No.167 POE OEI2 */
-	{ NULL, INVALID_OFFSET },			/* No.168 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.169 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.168 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.169 予約 */
 	{ ICU_IER15_ADDR, ICU_IEN2_BIT },	/* No.170 TMR0 CMIA0 */
 	{ ICU_IER15_ADDR, ICU_IEN3_BIT },	/* No.171 TMR0 CMIB0 */
@@ -531,14 +516,14 @@
 	{ ICU_IER19_ADDR, ICU_IEN2_BIT },	/* No.202 EXDMAC EXDMAC0I */
 	{ ICU_IER19_ADDR, ICU_IEN3_BIT },	/* No.203 EXDMAC EXDMAC1I */
-	{ NULL, INVALID_OFFSET },			/* No.204 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.205 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.206 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.207 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.208 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.209 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.210 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.211 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.212 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.213 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.204 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.205 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.206 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.207 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.208 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.209 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.210 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.211 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.212 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.213 予約 */
 	{ ICU_IER1A_ADDR, ICU_IEN6_BIT },	/* No.214 SCI0 RXI0 */
 	{ ICU_IER1A_ADDR, ICU_IEN7_BIT },	/* No.215 SCI0 TXI0 */
@@ -581,11 +566,11 @@
 	{ ICU_IER1F_ADDR, ICU_IEN4_BIT },	/* No.252 SCI12 TEI12 */
 	{ ICU_IER1F_ADDR, ICU_IEN5_BIT },	/* No.253 IEB IEBINT */
-	{ NULL, INVALID_OFFSET },			/* No.254 äºç´ */
-	{ NULL, INVALID_OFFSET },			/* No.255 äºç´ */
+	{ NULL, INVALID_OFFSET },			/* No.254 予約 */
+	{ NULL, INVALID_OFFSET },			/* No.255 予約 */
 };
 
 
 /*
- *  IRQã³ã³ãã­ã¼ã«ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ãã¼ãã«
+ *  IRQコントロールレジスタアドレステーブル
  */
 volatile uint8_t __evenaccess * const irqcr_reg_addr[ IRQ_MAX ] = {
Index: rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/rx630_config.h
===================================================================
--- rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/rx630_config.h	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/rx630_config.h	(revision 315)
@@ -7,56 +7,41 @@
  *  Copyright (C) 2013      by Mitsuhiro Matsuura
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  */
 
 /*
- *		ãã­ã»ããµä¾å­ã¢ã¸ã¥ã¼ã«
+ *		プロセッサ依存モジュール
  *
- *  ãã®ã¤ã³ã¯ã«ã¼ããã¡ã¤ã«ã¯ï¼target_config.hï¼ã¾ãã¯ï¼ããããã¤ã³ã¯
- *  ã«ã¼ãããããã¡ã¤ã«ï¼ã®ã¿ããã¤ã³ã¯ã«ã¼ããããï¼ä»ã®ãã¡ã¤ã«ãã
- *  ç´æ¥ã¤ã³ã¯ã«ã¼ããã¦ã¯ãªããªãï¼
+ *  このインクルードファイルは，target_config.h（または，そこからインク
+ *  ルードされるファイル）のみからインクルードされる．他のファイルから
+ *  直接インクルードしてはならない．
  */
 
@@ -67,5 +52,5 @@
 
 /*
- *  å²è¾¼ã¿è¦å æ°
+ *  割込み要因数
  */
 #define	INHNO_MAX	UINT_C( 256 )
@@ -73,5 +58,5 @@
 
 /*
- *  å²è¾¼ã¿å¶å¾¡ç¨åå®ç¾©
+ *  割込み制御用型定義
  */
 typedef struct ier_info {
@@ -82,5 +67,5 @@
 
 /*
- *  å²è¾¼ã¿å¶å¾¡ç¨å®ç¾©
+ *  割込み制御用定義
  */
 #define	INVALID_OFFSET				( 0xFFU )
@@ -93,17 +78,17 @@
 
 /*
- *  å²è¾¼ã¿å¶å¾¡ç¨ãã¼ãã«
+ *  割込み制御用テーブル
  */
 
-/* å²è¾¼ã¿è¦å ãã©ã¤ãªãªãã£ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* 割込み要因プライオリティレジスタアドレス */
 extern volatile uint8_t __evenaccess * const ipr_reg_addr[];
-/* å²è¾¼ã¿è¦æ±è¨±å¯ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* 割込み要求許可レジスタアドレス */
 extern const IER_INFO ier_reg_addr[];
-/* IRQã³ã³ãã­ã¼ã«ã¬ã¸ã¹ã¿ã¢ãã¬ã¹ */
+/* IRQコントロールレジスタアドレス */
 extern volatile uint8_t __evenaccess * const irqcr_reg_addr[];
 
 
 /*
- *  ãã­ã»ããµä¾å­ã¢ã¸ã¥ã¼ã«
+ *  プロセッサ依存モジュール
  */
 #include "prc_config.h"
Index: rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/start.src
===================================================================
--- rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/start.src	(revision 314)
+++ rubycfg_asp/trunk/asp_dcre/arch/rx630_ccrx/start.src	(revision 315)
@@ -11,53 +11,43 @@
 ;*  Copyright (C) 2013      by Mitsuhiro Matsuura
 ;* 
-;*  ä¸è¨èä½æ¨©è
-ã¯ï¼Free Software Foundation ã«ãã£ã¦å
-¬è¡¨ããã¦ãã 
-;*  GNU General Public License ã® Version 2 ã«è¨è¿°ããã¦ããæ¡ä»¶ãï¼ä»¥
-;*  ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§
-;*  ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
-;*  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
-;*  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
-;*      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
-;*      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
-;*  (2) æ¬ã½ããã¦ã§ã¢ãåå©ç¨å¯è½ãªãã¤ããªã³ã¼ãï¼ãªã­ã±ã¼ã¿ãã«ãªã
-;*      ã¸ã§ã¯ããã¡ã¤ã«ãã©ã¤ãã©ãªãªã©ï¼ã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼å©ç¨
-;*      ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼
-;*      ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-;*  (3) æ¬ã½ããã¦ã§ã¢ãåå©ç¨ä¸å¯è½ãªãã¤ããªã³ã¼ãã®å½¢ã¾ãã¯æ©å¨ã«çµ
-;*      ã¿è¾¼ãã å½¢ã§å©ç¨ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºãããã¨ï¼
-;*    (a) å©ç¨ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½
-;*        æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
-;*    (b) å©ç¨ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼ä¸è¨èä½æ¨©è
-ã«å ±åãã
-;*        ãã¨ï¼
-;*  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
-;*      å®³ãããï¼ä¸è¨èä½æ¨©è
-ãå
-è²¬ãããã¨ï¼
+;*  上記著作権者は，Free Software Foundation によって公表されている 
+;*  GNU General Public License の Version 2 に記述されている条件か，以
+;*  下の(1)～(4)の条件を満たす場合に限り，本ソフトウェア（本ソフトウェ
+;*  アを改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+;*  利用と呼ぶ）することを無償で許諾する．
+;*  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+;*      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+;*      スコード中に含まれていること．
+;*  (2) 本ソフトウェアを再利用可能なバイナリコード（リロケータブルオブ
+;*      ジェクトファイルやライブラリなど）の形で利用する場合には，利用
+;*      に伴うドキュメント（利用者マニュアルなど）に，上記の著作権表示，
+;*      この利用条件および下記の無保証規定を掲載すること．
+;*  (3) 本ソフトウェアを再利用不可能なバイナリコードの形または機器に組
+;*      み込んだ形で利用する場合には，次のいずれかの条件を満たすこと．
+;*    (a) 利用に伴うドキュメント（利用者マニュアルなど）に，上記の著作
+;*        権表示，この利用条件および下記の無保証規定を掲載すること．
+;*    (b) 利用の形態を，別に定める方法によって，上記著作権者に報告する
+;*        こと．
+;*  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+;*      害からも，上記著作権者を免責すること．
 ;* 
-;*  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã¯ï¼
-;*  æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ã
-;*  ãªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çããã
-;*  ããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+;*  本ソフトウェアは，無保証で提供されているものである．上記著作権者は，
+;*  本ソフトウェアに関して，その適用可能性も含めて，いかなる保証も行わ
+;*  ない．また，本ソフトウェアの利用により直接的または間接的に生じたい
+;*  かなる損害に関しても，その責任を負わない．
 ;* 
 
 
 	;
-	;  ã¡ã¢ãªãããã®å®ç¾©(ã¿ã¼ã²ããä¾å­é¨)
+	;  メモリマップの定義(ターゲット依存部)
 	;
 	.include	sectrx.inc
 
-DFLRE				.equ	007FC440H		; DFLREã¬ã¸ã¹ã¿
+DFLRE				.equ	007FC440H		; DFLREレジスタ
 
 DB_BLOCK_ENABLE		.equ	02D0FH
 
 ;
-;  åæåã«ã¼ãã³
+;  初期化ルーチン
 ;
 	.section	P_START, CODE
@@ -71,18 +61,14 @@
 _start:
 	;
-	;  é»æºæå
-¥å¾ã¯ã¬ãã«0, å
-¨å²è¾¼ã¿ç¦æ­¢ç¶æ
-ã§ãã.
-	;  ã«ã¼ãã«ã§ã¯é«éå²è¾¼ã¿ãä½¿ç¨ããªããããBPC, BPSWåã³FINTV
-	;  ã®åæåã¯è¡ããªã.
+	;  電源投入後はレベル0, 全割込み禁止状態である.
+	;  カーネルでは高速割込みを使用しないため、BPC, BPSW及びFINTV
+	;  の初期化は行わない.
 	;
 
 	;
-	;  å
-èµROMï¼ãã¼ã¿ãã©ãã·ã¥ï¼é åã®è¨­å®
+	;  内蔵ROM（データフラッシュ）領域の設定
 	;
-	;  ãªã»ããå¾, ãã¼ã¿ãã©ãã·ã¥é åã¯èª­ã¿åºãç¦æ­¢ã¨ãªã£ã¦ãã
-	;  ãã, èª­ã¿åºãè¨±å¯ã«è¨­å®ãã.
+	;  リセット後, データフラッシュ領域は読み出し禁止となっている
+	;  ため, 読み出し許可に設定する.
 	;
 	mov.l	#DFLRE, r5
@@ -90,20 +76,20 @@
 	
 	;
-	;  ã¹ã¿ãã¯ãã¤ã³ã¿ã®è¨­å®
+	;  スタックポインタの設定
 	;
-	;  ã¦ã¼ã¶ã«ã¦éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã¹ã¿ãã¯é åãç¨æããå ´å,
-	;  ã¦ã¼ã¶é åãè¨­å®ãã.
-	;  kernel_cfg.cã«ã¦"_kernel_istkpt"ã®å¤ãæ±ºå®ãã.
+	;  ユーザにて非タスクコンテキスト用スタック領域を用意した場合,
+	;  ユーザ領域を設定する.
+	;  kernel_cfg.cにて"_kernel_istkpt"の値を決定する.
 	;
 	mov.l	#__kernel_istkpt, r5
-	mov.l	[r5], r0			; éã¿ã¹ã¯ã³ã³ãã­ã¹ãç¨ã¹ã¿ãã¯é åãè¨­å®
+	mov.l	[r5], r0			; 非タスクコンテキスト用スタック領域を設定
 
 	;
-	;  å¯å¤ãã¯ã¿ãã¼ãã«ã®è¨­å®
+	;  可変ベクタテーブルの設定
 	;
-	mvtc	#VVECTOR_TOP, intb			; ãã¯ã¿ãã¼ãã«ã®è¨­å®
+	mvtc	#VVECTOR_TOP, intb			; ベクタテーブルの設定
 
 	;
-	;  ãã¼ãã¦ã§ã¢åºæã®åæåã«ã¼ãã³ã®å¼åºã
+	;  ハードウェア固有の初期化ルーチンの呼出し
 	;
 	mov.l	#_hardware_init_hook, r5
@@ -113,11 +99,10 @@
 
 	;
-	;  åæå¤ããå¤æ°é åã®åæå
+	;  初期値あり変数領域の初期化
 	;
 init_D:
 	mov.l	#(sizeof R), r3
 	cmp		#0, r3
-	beq.b	init_D_2					; ãµã¤ãº0ãªãåæåå¿
-è¦ãªã
+	beq.b	init_D_2					; サイズ0なら初期化必要なし
 	mov.l	#(topof R), r1
 	mov.l	#(topof D), r2
@@ -127,6 +112,5 @@
 	mov.l	#(sizeof R_2), r3
 	cmp		#0, r3
-	beq.b	init_D_1					; ãµã¤ãº0ãªãåæåå¿
-è¦ãªã
+	beq.b	init_D_1					; サイズ0なら初期化必要なし
 	mov.l	#(topof R_2), r1
 	mov.l	#(topof D_2), r2
@@ -136,6 +120,5 @@
 	mov.l	#(sizeof R_1), r3
 	cmp		#0, r3
-	beq.b	clear_B						; ãµã¤ãº0ãªãåæåå¿
-è¦ãªã
+	beq.b	clear_B						; サイズ0なら初期化必要なし
 	mov.l	#(topof R_1), r1
 	mov.l	#(topof D_1), r2
@@ -143,5 +126,5 @@
 
 	;
-	;  åæå¤ãªãå¤æ°é åã®åæå
+	;  初期値なし変数領域の初期化
 	;
 clear_B:
@@ -164,9 +147,8 @@
 
 	;
-	;  software_init_hook ãå¼åºãï¼0 ã§ãªãå ´åï¼
+	;  software_init_hook を呼出し（0 でない場合）
 	;
-	;  ã½ããã¦ã§ã¢ç°å¢ï¼ç¹ã«ã©ã¤ãã©ãªï¼ã«ä¾å­ãã¦å¿
-è¦ãªåæåå¦ç
-	;  ãããå ´åã¯ï¼software_init_hook ã¨ããé¢æ°ãç¨æããã°ãã.
+	;  ソフトウェア環境（特にライブラリ）に依存して必要な初期化処理
+	;  がある場合は，software_init_hook という関数を用意すればよい.
 	;
 	mov.l	#_software_init_hook, r5
@@ -176,5 +158,5 @@
 
 	;
-	;  ã«ã¼ãã«ã¹ã¿ã¼ã
+	;  カーネルスタート
 	;
 kernel_link:
